# octopus_player

The best video player for Flutter.

The [`video_player`](https://pub.dartlang.org/packages/video_player) plugin provides low-level access to video playback. OctopusPlayer uses the `video_player` so you dont need to import it in your pubsec

## Demo

![Demo]()

## Installation

In your `pubspec.yaml` file within your Flutter Project: 

```yaml
dependencies:
  octopus_player: <latest_version>
```

## Use it

```dart
import 'package:octopus_player/octopus_player.dart';

Widget player = 
OctopusPlayer(
    "ButterFly",
    "https://flutter.github.io/assets-for-api-docs/videos/butterfly.mp4",
    );
```

## Example

Please run the app in the [`example/`](https://github.com/MarcoMihaiCondrache/octopus_player/tree/master/example) folder to start playing!